<template>
  <a-card :bordered='false'>
    <!-- 查询区域 -->
    <div class='table-page-search-wrapper'>
    </div>
    <!-- 查询区域-END -->
    <div>
      <iframe ref='report'  frameborder="0" class='report'></iframe>
    </div>
  </a-card>
</template>

<script>

import moment from 'moment'
import { getAction } from '@api/manage'

export default {
  name: 'InspectResultReport',
  data() {
    return {}
  },
  mounted() {
  },
  created() {
    setTimeout(() => {
      this.searchQuery()
    }, 500)
  },
  methods: {

    searchQuery() {
      this.$refs.report.src = this.reportUrl
      console.info(this.reportUrl)

    }
  },
  computed: {
    reportUrl: function() {
      return `${window._CONFIG['domianREPORT']}/report/reportJsp/showReportGroup.jsp?rpg=jd_group.rpg&batch=` + this.$route.query.batch
    }
  }
}
</script>

<style lang='less' scoped>
.report {
  width: 100%;
  height: 3000px;
  border: none;
  outline: none;
}

</style>